Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.aop.aspectj
Class AspectJAfterReturningAdvice

    java.lang.Object
      org.springframework.aop.aspectj.AbstractAspectJAdvice
          org.springframework.aop.aspectj.AspectJAfterReturningAdvice

All Implemented Interfaces:
  org.aopalliance.aop.Advice, AfterAdvice, AfterReturningAdvice, AspectJPrecedenceInformation, Ordered

    public class AspectJAfterReturningAdvice

extends AbstractAspectJAdvice
implements AfterReturningAdvice, AfterAdvice

Spring AOP advice wrapping an AspectJ after-returning advice method.

Since:
  2.0
Author:
  Rod Johnson, Juergen Hoeller, Ramnivas Laddad

Field Summary

Fields inherited from class org.springframework.aop.aspectj.AbstractAspectJAdvice
`aspectJAdviceMethod, JOIN_POINT_KEY`

Fields inherited from interface org.springframework.core.Ordered
`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

Constructor Summary
`AspectJAfterReturningAdvice(java.lang.reflect.Method aspectJBeforeAdviceMethod, AspectJExpressionPointcut pointcut, AspectInstanceFactory aif)`

Method Summary
`void` | `afterReturning(java.lang.Object returnValue, java.lang.reflect.Method method, java.lang.Object[] args, java.lang.Object target)` Callback after a given method successfully returned.
`boolean` | `isAfterAdvice()` Return whether this is an after advice.
`boolean` | `isBeforeAdvice()` Return whether this is a before advice.
`void` | `setReturningName(java.lang.String name)`

Methods inherited from class org.springframework.aop.aspectj.AbstractAspectJAdvice
`argBinding, buildSafePointcut, calculateArgumentBindings, createParameterNameDiscoverer, currentJoinPoint, getAspectClassLoader, getAspectInstanceFactory, getAspectJAdviceMethod, getAspectName, getDeclarationOrder, getDiscoveredReturningGenericType, getDiscoveredReturningType, getDiscoveredThrowingType, getJoinPoint, getJoinPointMatch, getJoinPointMatch, getOrder, getPointcut, invokeAdviceMethod, invokeAdviceMethod, invokeAdviceMethodWithGivenArgs, setArgumentNames, setArgumentNamesFromStringArray, setAspectName, setDeclarationOrder, setReturningNameNoCheck, setThrowingName, setThrowingNameNoCheck, supportsProceedingJoinPoint, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AspectJAfterReturningAdvice

    public AspectJAfterReturningAdvice(java.lang.reflect.Method aspectJBeforeAdviceMethod,
                                       AspectJExpressionPointcut pointcut,
                                       AspectInstanceFactory aif)

Method Detail

### isBeforeAdvice

    public boolean isBeforeAdvice()

  Description copied from interface: `AspectJPrecedenceInformation`
  Return whether this is a before advice.

  Specified by:
    `isBeforeAdvice` in interface `AspectJPrecedenceInformation`

### isAfterAdvice

    public boolean isAfterAdvice()

  Description copied from interface: `AspectJPrecedenceInformation`
  Return whether this is an after advice.

  Specified by:
    `isAfterAdvice` in interface `AspectJPrecedenceInformation`

### setReturningName

    public void setReturningName(java.lang.String name)

  Overrides:
    `setReturningName` in class `AbstractAspectJAdvice`

### afterReturning

    public void afterReturning(java.lang.Object returnValue,
                               java.lang.reflect.Method method,
                               java.lang.Object[] args,
                               java.lang.Object target)
                        throws java.lang.Throwable

  Description copied from interface: `AfterReturningAdvice`
  Callback after a given method successfully returned.

  Specified by:
    `afterReturning` in interface `AfterReturningAdvice`
  Parameters:
    `returnValue` - the value returned by the method, if any
    `method` - method being invoked
    `args` - arguments to the method
    `target` - target of the method invocation. May be `null`.
  Throws:
    `java.lang.Throwable` - if this object wishes to abort the call. Any exception thrown will be returned to the caller if it's allowed by the method signature. Otherwise the exception will be wrapped as a runtime exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD